<div class="content-here" aria-disabled="!showsniper">
  <div #mapp id="mapp" class="map">
    <div
      class="spinner-grow"
      id="sniper"
      style="z-index: 5; position: fixed; left: 50%; top: 500px; width: 6rem; height: 6rem; align-items: center"
      role="status"
      *ngIf="showsniper"
    >
      <h6 class="mt-5 ml-3">Loading ...</h6>
      <span class="sr-only">Loading....</span>
    </div>
    <div class="detail-vehicule-container p-2 p-sm-3" id="Mdetail" style="z-index: 9999">
      <app-recherche-input
        [show]="RechSHOW"
        [HideRechercheList]="RechSHOW2"
        [listRech]="recherchlist"
        (Close)="closePop()"
        (RValue)="NewRechercheSelectedVehicule($event)"
        (filtreactivite)="filtreactivite($event)"
      ></app-recherche-input>
      <app-detail-vehicule
      [Cumule]="JsonCulumeActiviteInput"
        [Vehicule]="inputdd"
        [VehiculesAproxlist]="aprox"
        [isSPI]="false"
        [show]="RechSHOW"
        (RValue)="NewClickMarker($event)"
        (Close)="closePop()"
        (tours)="ShowTournees($event)"
        (GetSelectedVehciuleVRN)="GetVrnFromPlusInfoComponent($event)"
      ></app-detail-vehicule>
    </div>
    <div class="menuC" id="menuC" hidden>
      <app-menu-context
        [positionX]="positionMenuX"
        [positionY]="positionMenuY"
        (RValueAddPOI)="openModal($event)"
        (RValue)="setcoord($event)"
        (RValue2)="setcoord2($event)"
      ></app-menu-context>
    </div>
    <div class="slidecontainer" style="z-index: 5; position: fixed; left: 17%; bottom: 16.5px" id="sliderange" hidden>
      <div class="sliderbutton" (click)="playpause()">
        <mat-icon>{{ pause ? 'play_arrow' : 'pause' }}</mat-icon>
      </div>

      <input
        type="range"
        min="0"
        max="{{ countlistpointsHistorique }}"
        value="{{ countlistpointsHistorique }}"
        class="slider"
        id="myRange"
        #range
        (change)="changelecteur($event)"
        (input)="changelecteur($event)"
      />
      <div class="sliderP">
        <p>
          <small>{{ datehistorique }}&nbsp;&nbsp;&nbsp;{{ timehistorique }}&nbsp;&nbsp;&nbsp;{{activitehistorique}}</small>
        </p>
      </div>
    </div>
    <div
      #alert
      class="alert alert-warning alert-dismissible fade"
      style="z-index: 5; position: fixed; left: 30%; top: 10px; background-color: #354360; color: whitesmoke"
      role="alert"
    >
      <button type="button" class="close" aria-label="Close" (click)="closeAlert()">
        <span aria-hidden="true">&times;</span>
      </button>
      <strong style="color: whitesmoke"
        >Pas de traget pour ce vehicule pour le date debut :{{ datacalendar }} , date fin :
        {{ datecalendarend }}</strong
      >
    </div>
    <div #pop class="alert alert-warning alert-dismissible fade moreInfo" id="moreInfo">
      <app-plus-info [infoendroit]="infoendroit" [aproxinfo]="aproxinfo"></app-plus-info>
    </div>
    <div class="historique-Gbtn-map d-sm-flex full-screen-buttons">
      <div class="d-sm-block">
        <div class="d-sm-flex" style="margin-right: 10px">
          <label class="mr-1"><strong>Live</strong></label>
          <div class="custom-control custom-switch" style="color: #354360">
            <input
              type="checkbox"
              class="custom-control-input"
              id="customSwitches"
              (change)="changemode($event)"
              style="color: #354360"
            />
            <label class="custom-control-label" for="customSwitches"><strong>Historique</strong></label>
          </div>
        </div>
      </div>
      <app-switshdate (changeView)="getValueFromcalender($event)" *ngIf="liveMode"> </app-switshdate>
    </div>
    <div class="fullscreen" id="fullscreen" (click)="fullscreen()">
      <div class="box">
        <span>
          <svg
            xmlns="http://www.w3.org/2000/svg"
            x="0px"
            y="0px"
            width="20"
            height="20"
            viewBox="0 0 172 172"
            style="fill: #000000"
          >
            <g
              fill="none"
              fill-rule="nonzero"
              stroke="none"
              stroke-width="1"
              stroke-linecap="butt"
              stroke-linejoin="miter"
              stroke-miterlimit="10"
              stroke-dasharray=""
              stroke-dashoffset="0"
              font-family="none"
              font-weight="none"
              font-size="none"
              text-anchor="none"
              style="mix-blend-mode: normal"
            >
              <path d="M0,172v-172h172v172z" fill="none"></path>
              <g fill="#9fa2a6">
                <path
                  d="M20.64,20.64v41.28c-0.01344,1.23625 0.63156,2.39188 1.70656,3.02344c1.075,0.61813 2.39187,0.61813 3.46687,0c1.075,-0.63156 1.72,-1.78719 1.70656,-3.02344v-29.53562l31.96781,31.96781c0.56437,0.59125 1.31687,0.95406 2.10969,1.04813c0.12094,0 0.22844,0.01344 0.34938,0.01344c0.12094,0 0.22844,-0.01344 0.34937,-0.01344c0.1075,-0.01344 0.22844,-0.02688 0.33594,-0.05375c1.26313,-0.24188 2.27094,-1.16906 2.63375,-2.40531c0.36281,-1.23625 0.01344,-2.56656 -0.91375,-3.45344l-31.96781,-31.96781h29.53562c1.23625,0.01344 2.39188,-0.63156 3.02344,-1.70656c0.61813,-1.075 0.61813,-2.39187 0,-3.46687c-0.63156,-1.075 -1.78719,-1.72 -3.02344,-1.70656zM110.08,20.64c-1.23625,-0.01344 -2.39187,0.63156 -3.02344,1.70656c-0.61813,1.075 -0.61813,2.39187 0,3.46687c0.63156,1.075 1.78719,1.72 3.02344,1.70656h29.53563l-31.96781,31.96781c-0.90031,0.86 -1.26313,2.15 -0.94063,3.34594c0.30906,1.20938 1.24969,2.15 2.45906,2.45906c1.19594,0.3225 2.48594,-0.04031 3.34594,-0.94063l31.96781,-31.96781v29.53562c-0.02687,1.80063 1.35719,3.31906 3.15781,3.48031c0.1075,0 0.215,0.01344 0.33594,0.01344c1.89469,-0.04031 3.41313,-1.59906 3.38625,-3.49375v-41.28zM24.02625,106.58625c-1.89469,0.04031 -3.41312,1.59906 -3.38625,3.49375v41.28h41.28c1.23625,0.01344 2.39188,-0.63156 3.02344,-1.70656c0.61813,-1.075 0.61813,-2.39187 0,-3.46687c-0.63156,-1.075 -1.78719,-1.72 -3.02344,-1.70656h-29.53562l31.96781,-31.96781c1.02125,-0.99437 1.31688,-2.49937 0.76594,-3.80281c-0.55094,-1.31688 -1.84094,-2.15 -3.26531,-2.10969c-0.90031,0.02688 -1.74688,0.40313 -2.365,1.04813l-31.96781,31.96781v-29.53563c0.01344,-0.92719 -0.34937,-1.8275 -1.00781,-2.48594c-0.65844,-0.65844 -1.55875,-1.02125 -2.48594,-1.00781zM147.86625,106.58625c-0.12094,0.01344 -0.22844,0.01344 -0.33594,0.02688c-0.22844,0.02687 -0.45688,0.08062 -0.68531,0.14781c-1.42437,0.47031 -2.39187,1.81406 -2.365,3.31906v29.53563l-31.96781,-31.96781c-0.645,-0.67188 -1.53187,-1.03469 -2.4725,-1.04813c-1.34375,0.01344 -2.58,0.80625 -3.13094,2.0425c-0.55094,1.23625 -0.33594,2.6875 0.57781,3.69531c0.05375,0.05375 0.1075,0.12094 0.16125,0.17469l31.96781,31.96781h-29.53563c-1.85437,-0.01344 -3.38625,1.46469 -3.45344,3.31906c-0.06719,1.85437 1.35719,3.42656 3.21156,3.56094c0.08062,0 0.16125,0 0.24187,0h41.28v-41.28c0.01344,-0.92719 -0.34937,-1.8275 -1.00781,-2.48594c-0.65844,-0.65844 -1.55875,-1.02125 -2.48594,-1.00781z"
                ></path>
              </g>
            </g>
          </svg>
        </span>
      </div>
    </div>
    <div class="position" id="position" (click)="zoomCurrentPosition()">
      <div class="box">
        <span>
          <svg
            xmlns="http://www.w3.org/2000/svg"
            x="0px"
            y="0px"
            width="25"
            height="25"
            viewBox="0 0 172 172"
            style="fill: #000000"
          >
            <g
              fill="none"
              fill-rule="nonzero"
              stroke="none"
              stroke-width="1"
              stroke-linecap="butt"
              stroke-linejoin="miter"
              stroke-miterlimit="10"
              stroke-dasharray=""
              stroke-dashoffset="0"
              font-family="none"
              font-weight="none"
              font-size="none"
              text-anchor="none"
              style="mix-blend-mode: normal"
            >
              <path d="M0,172v-172h172v172z" fill="none"></path>
              <g fill="#9fa2a6">
                <path
                  d="M85.19231,2.75574c-23.96025,0.31774 -45.39312,14.97377 -54.38132,37.18653c-8.9882,22.21276 -3.77851,47.64947 13.21848,64.5402c8.48961,8.53044 19.38255,14.26387 31.22054,16.43272v45.70981c0,1.48427 1.20323,2.6875 2.6875,2.6875h16.125c1.48427,0 2.6875,-1.20323 2.6875,-2.6875v-45.70981c28.20818,-5.25646 48.67543,-29.85388 48.71684,-58.54761c0.09951,-15.80018 -6.14958,-30.9786 -17.34474,-42.12866c-11.35924,-11.3898 -26.8452,-17.69647 -42.9298,-17.48318zM87.54387,8.18716c13.83513,0.38733 26.99616,6.06034 36.77729,15.85271c10.18048,10.14085 15.86269,23.94485 15.77135,38.31393c-0.03478,26.91131 -19.78853,49.73126 -46.41711,53.62205c-1.32074,0.19225 -2.30029,1.32462 -2.30039,2.65928v9.69298h-10.75v-9.69298c-0.00009,-1.33466 -0.97964,-2.46704 -2.30039,-2.65928c-26.62844,-3.89106 -46.38204,-26.71085 -46.41711,-53.62205c-0.01783,-14.62807 5.88639,-28.64042 16.36752,-38.84468c10.48113,-10.20425 24.64649,-15.73131 39.26885,-15.32196zM86,15.74313c-22.22111,0.00622 -41.34417,15.70664 -45.67649,37.50135c-4.33232,21.7947 7.3324,43.61507 27.86185,52.11919c20.52944,8.50411 44.2073,1.32405 56.5559,-17.14999c12.3486,-18.47404 9.92954,-43.09806 -5.77805,-58.81587c-8.72308,-8.77135 -20.59278,-13.68825 -32.96321,-13.65468zM84.7691,21.08467c11.14859,-0.31405 21.95008,3.89517 29.94659,11.66984c7.99651,7.77467 12.50787,18.4535 12.50752,29.60651c0.03499,10.94114 -4.30763,21.44177 -12.06029,29.16226c-13.1021,13.13253 -33.35388,15.91542 -49.51265,6.80375c-16.15878,-9.11166 -24.25762,-27.88099 -19.8005,-45.88828c4.45712,-18.00729 20.37599,-30.83181 38.91934,-31.35409zM85.92126,41.9935c-1.45292,0.04259 -2.60868,1.23264 -2.60876,2.68619v15.45313h-15.45312c-1.48427,0 -2.6875,1.20323 -2.6875,2.6875c0,1.48427 1.20323,2.6875 2.6875,2.6875h15.45313v15.45313c0,1.48427 1.20323,2.6875 2.6875,2.6875c1.48427,0 2.6875,-1.20323 2.6875,-2.6875v-15.45312h15.45313c1.48427,0 2.6875,-1.20323 2.6875,-2.6875c0,-1.48427 -1.20323,-2.6875 -2.6875,-2.6875h-15.45312v-15.45312c-0.00004,-0.7264 -0.29413,-1.42184 -0.81525,-1.92788c-0.52112,-0.50604 -1.2249,-0.77959 -1.95098,-0.7583zM80.625,133.70313h10.75v30.23438h-10.75z"
                ></path>
              </g>
            </g>
          </svg>
        </span>
      </div>
    </div>
  </div>
</div>
